Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 541740 - [abrt] crash detected in compiz-0.8.2-19.fc12 0.8.4-1.fc12 #1 in _dbus_timeout_list_add_timeout () at dbus-timeout.c:319
Summary: [abrt] crash detected in compiz-0.8.2-19.fc12 0.8.4-1.fc12 #1 in _dbus_t...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: compiz
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adel Gadllah
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:9d30f6ad9c91b8e393a67c1798c...
: 547190 547483 548199 551896 553196 555817 562716 565517 585528 586468 591360 592520 593146 594008 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-26 22:02 UTC by Per Arnold Blåsmo
Modified: 2018-04-11 09:27 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-24 04:57:11 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2009-11-26 22:02 UTC, Per Arnold Blåsmo
no flags Details
Coredump for compiz crash (deleted)
2009-11-28 16:26 UTC, Per Arnold Blåsmo
no flags Details
Additional info including xorg.conf Xorg.*.log and dmesg (deleted)
2010-04-23 13:09 UTC, William Zhou
no flags Details

Description Per Arnold Blåsmo 2009-11-26 22:02:31 UTC
abrt detected a crash.

Attached file: backtrace
cmdline: compiz --replace --sm-disable --ignore-desktop-hints ccp --indirect-rendering
component: compiz
executable: /usr/bin/compiz
kernel: 2.6.31.5-127.fc12.i686.PAE
package: compiz-0.8.2-19.fc12
rating: 3
reason: Process was terminated by signal 11

Comment 1 Per Arnold Blåsmo 2009-11-26 22:02:34 UTC
Created attachment 374075 [details]
File: backtrace

Comment 2 Hamidou Dia 2009-11-27 16:51:20 UTC
-------------------------------------------------

Core was generated by `compiz --replace --sm-disable --ignore-desktop-hints ccp --indirect-rendering'.
Program terminated with signal 11, Segmentation fault.
#0  0x00914eb0 in ?? ()

Thread 1 (Thread 1981):
#0  0x00914eb0 in ?? ()
No symbol table info available.
#1  0x00cf60d3 in _dbus_timeout_list_add_timeout (
    timeout_list=<value optimized out>, timeout=<value optimized out>)
    at dbus-timeout.c:319
No locals.
#2  0x00ce060e in protected_change_timeout (connection=0xa0f4228, 
    timeout=<value optimized out>, add_function=<value optimized out>, 
    remove_function=<value optimized out>, 
    toggle_function=<value optimized out>, enabled=<value optimized out>)
    at dbus-connection.c:788
        timeouts = 0xa0f41a0
        retval = <value optimized out>
#3  0x00ce088f in _dbus_connection_add_timeout_unlocked (
    connection=<value optimized out>, timeout=<value optimized out>)
    at dbus-connection.c:826
No locals.
#4  0x00ce29e3 in _dbus_connection_attach_pending_call_unlocked (
    pending=<value optimized out>, connection=<value optimized out>)
    at dbus-connection.c:888
        reply_serial = <value optimized out>
        timeout = <value optimized out>


-------------------------------------------------------------------------


Hi Per Arnold.

Many thanks for reporting this issue.
In order to get as much information as possible in order to increase the possibility for this crash to be fixed as easily as possible, could I kindly ask you the following ? :

1) Give us a hint about how this crash occurred, if you remember if a specific action you did trigereed this (clicking around, launching/activation/desactivating stuff - changing setting .. etc ..), or if looks like it appended randomly.

2) Upload to this bugzilla the /var/cache/ccpp*/coredump file that has been generated (in the ccpp* directory that was created at the time of the crash).

Thanks in advance.

Regards.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Per Arnold Blåsmo 2009-11-28 15:57:44 UTC
Hi,
I am sorry for not uploading the coredump. I have big problems with my ath9k driver since upgrading to FC12. It will not let me upload or download larger files.

1) I do not remember exactly what I was doing. At the time of the bug abrt had problem with DNS lookups ad I submitted it a couple of days later. If I remember correctly I was doing just surfing with Firefox. I have not seen it after this so I guess we have to call it a randomly bug.

2) I will upload the coredump as soon as I connect to a stable connection.

Btw. the core dump was in /var/cache/abrt/ccpp*/coredump. You was missing the abrt folder.

The size is 256 Mb, so I made it a tgz file that is 31 Mb instead.

Regards.

Comment 4 Per Arnold Blåsmo 2009-11-28 16:26:02 UTC
Created attachment 374431 [details]
Coredump for compiz crash

Comment 5 Per Arnold Blåsmo 2009-11-28 16:38:59 UTC
Had compress the coredump with lzma to get it under 20Mb limit for Redhat bugzilla. Is there any other way to make the coredump smaller?

Comment 6 Hamidou Dia 2009-12-07 12:48:37 UTC
Hi Arnold.

Sorry to come late.

Well you can actually split the file and upload each one of the chunks individually.

"split -b 15M filename filename" 

What will generate you files filenameaa, filenameab, filenameac ...

Regards.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 7 Per Arnold Blåsmo 2009-12-07 18:56:49 UTC
Thanks for the idea. As you see I got it uploaded without splitting it this time. Hope you can use it.

Comment 8 Matěj Cepl 2009-12-09 15:53:30 UTC
Actually, backtrace in comment 1 is more useful for us than the coredump. It is very difficult to deal with (I would need to have special machine, special versions of packages, and in the end I wouldn't get much more than what's in the coredump).

Comment 9 Hamidou Dia 2009-12-15 19:42:03 UTC
*** Bug 547483 has been marked as a duplicate of this bug. ***

Comment 10 Hamidou Dia 2009-12-18 16:16:48 UTC
*** Bug 548199 has been marked as a duplicate of this bug. ***

Comment 11 Hamidou Dia 2009-12-18 16:24:30 UTC
BZ#548199 reported the same crash for compiz-0.8.4-1.fc12

Matej, looking forward for your patch.

Regards.
-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 12 Hamidou Dia 2009-12-18 16:45:39 UTC
*** Bug 547190 has been marked as a duplicate of this bug. ***

Comment 13 Chris Campbell 2010-01-02 23:11:26 UTC
*** Bug 551896 has been marked as a duplicate of this bug. ***

Comment 14 Hamidou Dia 2010-01-07 13:34:51 UTC
*** Bug 553196 has been marked as a duplicate of this bug. ***

Comment 15 Hamidou Dia 2010-01-21 02:26:03 UTC
*** Bug 555817 has been marked as a duplicate of this bug. ***

Comment 16 Chris Campbell 2010-02-16 21:03:20 UTC
*** Bug 565517 has been marked as a duplicate of this bug. ***

Comment 17 Jeff Raber 2010-04-23 09:22:27 UTC
Seeing "libnvidia-tls.so.1" makes it look like you may be using the NVIDIA binary driver.  Can you confirm that?

Please attach your X server config file (/etc/X11/xorg.conf, if available), output of the dmesg command, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 18 Jeff Raber 2010-04-23 09:59:02 UTC
*** Bug 562716 has been marked as a duplicate of this bug. ***

Comment 19 William Zhou 2010-04-23 13:09:08 UTC
Created attachment 408607 [details]
Additional info including xorg.conf Xorg.*.log and dmesg

Comment 20 Jeff Raber 2010-04-24 01:54:01 UTC
William, thank you for providing the requested information.  Unfortunately, we cannot help you with your problem, as we are not able to support binary-only drivers. If you are able to reproduce this issue using only open source software, please, and a comment to this bug with the additional information.

The open source 'nouveau' driver (in package xorg-x11-drv-nouveau) is the recommended alternative for users of Nvidia graphic chips.  It is used by default in Fedora 11 and later if you remove any customizations that explicitly sets the video driver. (The older "nv" driver may be needed in some cases.  It is also available in older Fedora releases.)  Install the packages xorg-x11-drv-nouveau (or xorg-x11-drv-nv) and override the X server's default choice if necessary.  See https://fedoraproject.org/wiki/Features/NouveauAsDefault for more information.

If you used a non-packaged version of the driver from the Nvidia website please clean your system of all additional libraries and software that it installed. For users who are experiencing problems (un)installing, configuring, or using the unsupported 3rd party proprietary "nvidia" video driver, Nvidia provides indirect customer support via an online web based support forum.  Nvidia monitors these web forums for commonly reported problems and passes them on to Nvidia engineers for investigation.  Once they've isolated a particular problem, it is often fixed in a future video driver update.

The NVNews Nvidia Linux driver forum is located at:

	http://www.nvnews.net/vbulletin/forumdisplay.php?s=&forumid=14

Once you have reported this issue in the Nvidia web forums, others who may have experienced the particular problem may be able to assist.  If there is a real bug occuring, Nvidia will be able to determine this, and will likely resolve the issue in a future driver update for the operating system releases that they officially support.

While we does not support the proprietary nvidia driver, users requiring technical support may also find the various X.Org, XFree86, and Red Hat/Fedora mailing lists helpful in finding assistance:

X.Org mailing lists:
	http://www.freedesktop.org/XOrg/XorgMailingLists

XFree86 mailing lists:
	http://www.xfree86.org/sos/lists.html

Red Hat/Fedora mailing lists:
	https://listman.redhat.com/mailman/listinfo

I am resetting the NEEDINFO flag to give others an opportunity to upload their copies of the data requested in Comment 17.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 21 Jeff Raber 2010-04-28 20:56:50 UTC
*** Bug 585528 has been marked as a duplicate of this bug. ***

Comment 22 Karel Klíč 2010-05-25 09:20:26 UTC
*** Bug 586468 has been marked as a duplicate of this bug. ***

Comment 23 Karel Klíč 2010-05-25 09:20:30 UTC
*** Bug 591360 has been marked as a duplicate of this bug. ***

Comment 24 Karel Klíč 2010-05-25 09:20:35 UTC
*** Bug 592520 has been marked as a duplicate of this bug. ***

Comment 25 Karel Klíč 2010-05-25 09:20:39 UTC
*** Bug 593146 has been marked as a duplicate of this bug. ***

Comment 26 Karel Klíč 2010-05-25 09:20:43 UTC
*** Bug 594008 has been marked as a duplicate of this bug. ***

Comment 27 Jeff Raber 2010-06-24 04:57:11 UTC
The information we've requested above is required in order to review this
problem report further and diagnose or fix the issue if it is still present.
Since it has been thirty days or more since we first requested additional
information, we're assuming the problem is either no longer present in the
current Fedora release, or that there is no longer any interest in tracking the
problem. 

Setting status to "CLOSED: INSUFFICIENT_DATA". If you still experience this
problem after updating to our latest Fedora release and can provide the
information previously requested, please feel free to reopen the bug report. 

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.